Bug 745535 - duplicity fail because of subprocess
Summary: duplicity fail because of subprocess
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: duplicity
Version: el4
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-12 15:59 UTC by Jérôme Benoit
Modified: 2011-12-29 22:01 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-12-29 22:01:01 UTC


Attachments (Terms of Use)
Patch to fix duplicity for RHEL 4 (4.09 KB, patch)
2011-10-25 18:51 UTC, Jérôme Benoit
no flags Details | Diff
Fixlet to previous patch (the changelog entry) (961 bytes, patch)
2011-10-25 18:56 UTC, Jérôme Benoit
no flags Details | Diff

Description Jérôme Benoit 2011-10-12 15:59:40 UTC
Description of problem:


Version-Release number of selected component (if applicable):

0.6.14

How reproducible:

Always by just running duplicity 

Traceback (most recent call last):
  File "/usr/bin/duplicity", line 1311, in ?
    with_tempdir(main)
  File "/usr/bin/duplicity", line 1304, in with_tempdir
    fn()
  File "/usr/bin/duplicity", line 1180, in main
    sync_archive()
  File "/usr/bin/duplicity", line 956, in sync_archive
    remlist = globals.backend.list()
  File "/usr/lib/python2.3/site-packages/duplicity/backends/rsyncbackend.py", line 134, in list
    result, stdout = self.run_command(commandline)
  File "/usr/lib/python2.3/site-packages/duplicity/backends/rsyncbackend.py", line 105, in run_command
    result, stdout, stderr = self.subprocess_popen_persist(commandline)
  File "/usr/lib/python2.3/site-packages/duplicity/backend.py", line 463, in subprocess_popen_persist
    result, stdout, stderr = self._subprocess_popen(commandline)
  File "/usr/lib/python2.3/site-packages/duplicity/backend.py", line 424, in _subprocess_popen
    from subprocess import Popen, PIPE
ImportError: No module named subprocess



Additional info:

Python version on RHEL is too old, you should bundle subprocess inside the package.

Comment 1 Jérôme Benoit 2011-10-25 18:51:25 UTC
Created attachment 530159 [details]
Patch to fix duplicity for RHEL 4

Please commit. It's fully tested and work very well on RHEL 4,5 and 6.

Comment 2 Jérôme Benoit 2011-10-25 18:56:19 UTC
Created attachment 530161 [details]
Fixlet to previous patch (the changelog entry)

Comment 3 Fedora Update System 2011-12-13 14:58:58 UTC
duplicity-0.6.14-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/duplicity-0.6.14-2.el4

Comment 4 Fedora Update System 2011-12-13 19:57:44 UTC
Package duplicity-0.6.14-2.el4:
* should fix your issue,
* was pushed to the Fedora EPEL 4 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing duplicity-0.6.14-2.el4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5225/duplicity-0.6.14-2.el4
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-12-29 22:01:01 UTC
duplicity-0.6.14-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.